
- message: python sample rule 001
  ruleID: python-sample-rule-001
  description: sample-rule-1 - this should appear as an issue
  effort: 1
  when:
    python.referenced:
      pattern: "hello_world"
- message: python sample rule 002
  ruleID: python-sample-rule-002
  description: sample-rule-2 - this should appear as an issue
  effort: 5
  when:
    python.referenced:
      pattern: "speak"
- message: python sample rule 003
  ruleID: python-sample-rule-003
  description: sample-rule-3 - this should appear as an insight
  when:
    python.referenced:
      pattern: "create_custom_resource_definition"
 - message: python sample rule 004
  ruleID: python-sample-rule-004
  description: sample-rule-4 - this should appear as an insight
  when:
    python.referenced:
      location: PACKAGE
      pattern: file_b
      
- message: python sample rule 005
  ruleID: python-sample-rule-005
  description: sample-rule-5 - this should appear as an insight
  when:
    python.referenced:
      location: METHOD_CALL
      pattern: bad_method()
- message: python sample rule 006
  ruleID: python-sample-rule-006
  description: sample-rule-6 - this should appear as an insight
  when:
    python.referenced:
      location: ANNOTATION
      pattern: deprecated
      
